/*  $Id: pce_portray.pl,v 1.5 2001/02/06 12:46:02 jan Exp $

    Part of XPCE

    Author:  Jan Wielemaker and Anjo Anjewierden
    E-mail:  jan@swi.psy.uva.nl
    WWW:     http://www.swi.psy.uva.nl/projects/xpce/
    Copying: GPL-2.  See the file COPYING or http://www.gnu.org

    Copyright (C) 1990-2001 SWI, University of Amsterdam. All rights reserved.
*/

portray(Obj) :-
	object(Obj),
	Obj = @(Ref), !,
	get(Obj, '_class_name', CN),
	format('@~w/~w', [Ref, CN]).
